<?PHP
declare(strict_types = 1);

/**
 * Custom exception class for invalid page parameters, which must be values of a
 * preset list of allowed values.
 */
class MDpageParameterNotFromListException extends Exception {

    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'Invalid parameter: <b>' . $this->getMessage() . '</b>.';
        return $errorMsg;

    }

}
